﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using LogiSoft.Server.Plugin;
using Sagede.OfficeLine.Engine;
using Sagede.Shared.RealTimeData.Common;

namespace LogiSoft.PluginTemplate
{
	public class Plugin : IServerPlugin
	{
		bool IServerPlugin.Excute(Mandant mandant, string config, string mode, string args, Dictionary<string, object> variables, DataTable[] data, ref string result, ref Dictionary<string, object> results)
		{
			bool valid = true;

			try
			{
				TraceLog.LogVerbose($"Plugin Execute mandant {mandant?.Id} config {config} mode {mode} args {args} variables { variables?.Count} data {data?.Length}");


				TraceLog.LogVerbose("Mandant {0}", mandant.Id);

				if (results is null)
					results = new Dictionary<string, object>();

				results.Add("{@myResult}", "Rückgabe Variable");

				result = "Rückgabe Meldung";


				return valid;
			}
			catch (Exception ex)
			{
				TraceLog.LogException(ex);
				result = ex.Message + "\r\n" + ex.StackTrace;
				valid = false;
				return valid;
			}
			finally
			{
				TraceLog.LogVerbose("Plugin Execute successfull {0}", valid);
			}
		}
	}
}
